<div class="search-filter">
  <form [formGroup]="searchForm" (ngSubmit)="search()">
    <div class="fields-wrapper">
      <mat-form-field>
        <input matInput formControlName="wellName" placeholder="Well Name" />
      </mat-form-field>
      <mat-form-field>
        <input matInput formControlName="wellNo" placeholder="Well # (WINS)" />
      </mat-form-field>
      <mat-form-field>
        <input matInput formControlName="UWI" placeholder="UWI" />
      </mat-form-field>
      <mat-form-field>
        <input matInput formControlName="country" placeholder="Country" />
      </mat-form-field>
      <mat-form-field>
        <input matInput formControlName="state" placeholder="State" />
      </mat-form-field>
      <mat-form-field>
        <input matInput formControlName="reservoir" placeholder="Reservoir" />
      </mat-form-field>
      <mat-form-field>
        <input matInput formControlName="field" placeholder="Field" />
      </mat-form-field>
    </div>

    <div class="submit-wrapper">
      <button mat-flat-button color="primary">Search</button>
    </div>
  </form>
</div>

<div class="search-result">
  <mat-spinner [diameter]="75" *ngIf="loading > 0; else searchResult"></mat-spinner>
  <ng-template #searchResult>
    <table
      *ngIf="wellSearchResult && wellSearchResult.length"
      mat-table
      [dataSource]="wellSearchResult"
      class="table"
      perfectScrollbar
    >
      <ng-container [matColumnDef]="DisplayedColumns[0]">
        <th mat-header-cell *matHeaderCellDef>Well Name</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[0]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="DisplayedColumns[1]">
        <th mat-header-cell *matHeaderCellDef>Well No (WINS)</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[1]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="DisplayedColumns[2]">
        <th mat-header-cell *matHeaderCellDef>UWI</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[2]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="DisplayedColumns[3]">
        <th mat-header-cell *matHeaderCellDef>Country</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[3]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="DisplayedColumns[4]">
        <th mat-header-cell *matHeaderCellDef>State</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[4]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="DisplayedColumns[5]">
        <th mat-header-cell *matHeaderCellDef>Reservoir</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[5]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="DisplayedColumns[6]">
        <th mat-header-cell *matHeaderCellDef>Field</th>
        <td mat-cell *matCellDef="let element" (click)="selectWell(element)">{{ element[DisplayedColumns[6]] }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="DisplayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: DisplayedColumns; let i = index" class="selectable-row"></tr>
    </table>
  </ng-template>
</div>
